#!/usr/bin/env python3
from marshmallow import fields
from marshmallow_sqlalchemy import ModelSchema
from model import AIModel


class AIModelSchema(ModelSchema):

    default = fields.Method("boolize_default", dump_only=True)

    def boolize_default(self, ai_model) -> bool:
        return bool(ai_model.default)

    class Meta:
        model = AIModel
