#!/usr/bin/env python3
from .db import db
from sqlalchemy.dialects.postgresql import UUID


class Default(db.Model):
    aimodel_id = db.Column(UUID(as_uuid=True), db.ForeignKey("ai_model.id"), nullable=False, primary_key=True)
    aimodel = db.relationship("AIModel", backref=db.backref("default", lazy=True, cascade="save-update, merge, delete, delete-orphan"))
